Update uptime settings

Base URL
https://{kibana_url}
  • PUT /api/uptime/settings
Auth

Update uptime setting attributes like heartbeatIndices, certExpirationThreshold, certAgeThreshold, defaultConnectors, or defaultEmail. You must have all privileges for the uptime feature in the Observability section of the Kibana feature privileges. A partial update is supported, provided settings keys will be merged with existing settings.

Request body

certAgeThreshold number · default: 730

The number of days after a certificate is created to trigger an alert.

certExpirationThreshold number · default: 30

The number of days before a certificate expires to trigger an alert.

defaultConnectors string[] · default: []

A list of connector IDs to be used as default connectors for new alerts.

defaultEmail object

The default email configuration for new alerts.

bcc string[] · default: []
cc string[] · default: []
to string[] · default: []
heartbeatIndices string · default: heartbeat-*

An index pattern string to be used within the Uptime app and alerts to query Heartbeat data.

Response

Indicates a successful call

application/json

Response Type: object

Base URL
https://{kibana_url}